## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 53;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.0
%bcond_without check

# Upstream dependencies change often and specific versions are needed that aren't
# always available in Fedora.
%bcond vendor 1

# https://github.com/GoogleCloudPlatform/osconfig
%global goipath         github.com/GoogleCloudPlatform/osconfig
Version:                20240814.00
%global tag             %{version}

%gometa -f

%global common_description %{expand:
Google OS Config Agent}

Name:           google-osconfig-agent
Release:        %autorelease
Summary:        Google OS Config Agent

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

# Bundled dependencies made with mkvendor.sh
Source1:        osconfig-%{version}-vendor.tar.gz

# https://git.sr.ht/~gotmax23/fedora-scripts/tree/main/item/retired/go_vendor_licenses.py
Source2:        LICENSES.dependencies

BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros

# Google Cloud only offers Arm and x86 instances.
ExcludeArch:    ppc64le s390x

%description %{common_description}

%gopkg

%prep
%autosetup -p1 %{forgesetupargs} %{?with_vendor:-b1}
%goprep -e %{?with_vendor:-k}
cp %{SOURCE2} .

# Examples directory isn't needed.
rm -rf examples

# e2e_tests require connectivity to Google's APIs and extra packages.
rm -rf e2e_tests

%generate_buildrequires
%if %{without vendor}
%go_generate_buildrequires
%endif

%build
%gobuild -o %{gobuilddir}/bin/google_osconfig_agent %{goipath}

%install
install -m0755 -vd                      %{buildroot}%{_bindir}
install -m0755 -vp %{gobuilddir}/bin/*  %{buildroot}%{_bindir}/
install -m0644 -Dp %{name}.service      %{buildroot}%{_unitdir}/%{name}.service

%if %{with check}
%check
# Skip some tests that require network access when they run.
%gocheck -d config -d policies
%endif

%files
%license LICENSE %{?with_vendor:vendor/modules.txt LICENSES.dependencies}
%doc CONTRIBUTING.md README.md
%{_bindir}/google_osconfig_agent
%{_unitdir}/%{name}.service

%post
%systemd_post %{name}
 
%preun
%systemd_preun %{name}
 
%postun
%systemd_postun_with_restart %{name}

%changelog
* Wed Aug 14 2024 Major Hayden <major@redhat.com> None-53
- Update to 20240812.00 rhbz#2304839

* Tue Aug 13 2024 Major Hayden <major@redhat.com> None-52
- Update to 20240809.00 rhbz#2303291

* Mon Aug 05 2024 Major Hayden <major@redhat.com> None-51
- Update to 20240801.00 rhbz#2299623

* Tue Jul 23 2024 Major Hayden <major@redhat.com> None-50
- Update to 20240718.00 rhbz#2296816

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> None-49
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 09 2024 Major Hayden <major@redhat.com> None-48
- Update to 20240708.00 rhbz#2296476

* Mon Jul 08 2024 Major Hayden <major@redhat.com> None-47
- Update to 20240705.01 rhbz#2295491

* Tue Jun 25 2024 Major Hayden <major@redhat.com> None-46
- Update to 20240620.00 rhbz#2292630

* Mon Jun 10 2024 Major Hayden <major@redhat.com> None-45
- Update to 20240607.00 rhbz#2290822

* Wed Jun 05 2024 Major Hayden <major@redhat.com> None-44
- Update to 20240604.01 rhbz#2290307

* Thu May 30 2024 Major Hayden <major@redhat.com> None-43
- Update to 20240529.00 rhbz#2283650

* Tue May 28 2024 Major Hayden <major@redhat.com> None-42
- Update to 20240524.03 rhbz#2283077

* Mon May 20 2024 Major Hayden <major@redhat.com> None-41
- Update to 20240517.00 rhbz#2281267

* Tue May 07 2024 Major Hayden <major@redhat.com> None-40
- Skip packit PRs

* Tue May 07 2024 Major Hayden <major@redhat.com> None-39
- Update to 20240506.00 rhbz#2279445

* Thu May 02 2024 Major Hayden <major@redhat.com> None-38
- Update to 20240501.03 rhbz#2278571

* Wed May 01 2024 Major Hayden <major@redhat.com> None-37
- Update to 20240430.01 rhbz#2278062

* Fri Apr 26 2024 Major Hayden <major@redhat.com> None-36
- packit: rawhide only

* Fri Apr 26 2024 Major Hayden <major@redhat.com> None-35
- Update to 20240425.00 rhbz#2277240

* Thu Apr 25 2024 Major Hayden <major@redhat.com> None-34
- Update to 20240424.00 rhbz#2276598

* Wed Apr 10 2024 Major Hayden <major@redhat.com> None-33
- Update to 20240409.00 rhbz#2274185

* Wed Apr 10 2024 Major Hayden <major@redhat.com> None-32
- Update to 20231219.00 rhbz#2250446

* Wed Apr 10 2024 Fedora Release Engineering <releng@fedoraproject.org> None-31
- Unretirement Releng Request: https://pagure.io/releng/issue/12058
